QGIS Application - Bug report #15164
some bad thumbnails with photo widget in a custom form
2016-06-28 03:59 PM - Andrew McAninch

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.3 Regression?: No

Operating System: Windows 7 64-bit Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 23103
Description

I'm working with a custom form created with the drag and drop designer and the bug happens in the attribute table form view and in the
value relation widget. I'm not exactly sure how to describe the problem so please bear with me.

If I have record A highlighted and then click on record B which has no photo attribute defined(or if | add a new record), the thumbnail from
record A is still displayed. In addition, If | click on record A again the thumbnail is replaced with what looks like a zoomed in, pixelated
thumbnail. | also get pixelated thumbnails randomly when switching between records and | haven't been able to figure out any pattern.
This seems to be fixed in Master, and I'm hoping this can get fixed in 2.14 for the LTR.

| have tested using the 2.14.3-24 nightly release on Windows 7.

History

#1 - 2016-07-01 02:14 AM - Matthias Kuhn
- Status changed from Open to Feedback

Which widget are you using?
Photo or External Resource?

#2 - 2016-07-01 03:26 AM - Nyall Dawson

Are you able to test on current master? | believe | fixed this during the 2.16 cycle, but from memory it hasn't been backported to 2.14. If you can confirm

that it works correctly in master than I'll see if a backport is suitable.

#3 - 2016-07-01 11:23 AM - Andrew McAninch

Matthias- | am using the photo widget.

Nyall- Yes, | tested in Master and everything worked splendidly. | was hoping to get it fixed in the LTR, if possible. Thanks!

#4 - 2016-07-01 10:22 PM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

Ok I've backported the fix
#5 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown
